<?php
if(!function_exists('panel')) {
  ## script-src unsafe-inline is needed for kirby panel
  header("Content-Security-Policy: default-src 'self'; style-src 'self' 'nonce-nRfqpuKWNuYyUAFPTr6WVNZk9'; script-src 'self' 'unsafe-inline'; img-src 'self' data:");
}
//header("X-Content-Type-Options: nosniff");  // enabled at server-side
//header("X-Frame-Options: deny");            // enabled at server-side
//header("X-Xss-Protection: 1; mode=block");  // enabled at server-side
header("Strict-Transport-Security: max-age=31536000");
header("Referrer-Policy: no-referrer");

/*
Kirby Configuration
*/
c::set('cache', true);
c::set('cache.ignore', array('sitemap', 'blog'));

c::set('smartypants', true);
c::set('smartypants.attr', 2); // -- for en-dash, --- for em-dash
c::set('smartypants.doublequote.open', '&bdquo;');
c::set('smartypants.doublequote.close', '&ldquo;');

/*
Modules Configuration
*/

// plg-carousel
c::set('plg_carousel.class', 'carousel-fade'); // additional class on top-most div

// plg-masonry
c::set('plg_masonry.enable', true);
c::set('plg_masonry.width', 155);
c::set('plg_masonry.quality', 75);
c::set('plg_masonry.class', 'rounded');
//c::set('plg_masonry.sizelimit', 1300);  // limit the source image size (long edge)
c::set('plg_masonry.sort', 'sort');     // sortBy parameter: sort, title, etc.
c::set('plg_masonry.dir', 'asc');       // sortBy direction: asc, desc
c::set('plg_masonry.lightbox', 'swipebox');

// columns plugin
//c::set('kirby.columns.container', 'columns');
//c::set('kirby.columns.item', 'column');

// enhanced sitemap by Jannik Beyerstedt:
c::set('smap_ignoreSite',     array('sitemap', 'error', 'home', 'qr', 'secret', 'test'));
c::set('smap_ignoreTemplate', array('redirect'));
c::set('smap_showHiddenPagesAtRootLevel', true);
c::set('smap_heading_visible', 'Hauptmenü');
c::set('smap_heading_invisible', 'weitere Seiten');
//c::set('smap_column_class_id', 'class="foo" id="bar"');

/*
Routes
*/
c::set('routes', array(
  array(
    'pattern' => 'sitemap.xml',
    'action'  => function() {
      return site()->visit('sitemap');
    }
  )
));
